Export action (flat interface)
curl --request GET \
--url https://api.getmembrane.com/actions/{selector}/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getmembrane.com/actions/{selector}/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmembrane.com/actions/{selector}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getmembrane.com/actions/{selector}/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getmembrane.com/actions/{selector}/export"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getmembrane.com/actions/{selector}/export")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getmembrane.com/actions/{selector}/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"uuid": "<string>",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"meta": {},
"integrationUuid": "<string>",
"parentUuid": "<string>",
"externalAppUuid": "<string>",
"isCustomized": true,
"isUniversal": true,
"instanceKey": "<string>",
"inputSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"type": "list-data-records",
"config": {},
"outputMapping": "<unknown>",
"customOutputSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
}
}Actions
Export action (flat interface)
GET
/
actions
/
{selector}
/
export
Export action (flat interface)
curl --request GET \
--url https://api.getmembrane.com/actions/{selector}/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getmembrane.com/actions/{selector}/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmembrane.com/actions/{selector}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getmembrane.com/actions/{selector}/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getmembrane.com/actions/{selector}/export"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getmembrane.com/actions/{selector}/export")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getmembrane.com/actions/{selector}/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"uuid": "<string>",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"meta": {},
"integrationUuid": "<string>",
"parentUuid": "<string>",
"externalAppUuid": "<string>",
"isCustomized": true,
"isUniversal": true,
"instanceKey": "<string>",
"inputSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"type": "list-data-records",
"config": {},
"outputMapping": "<unknown>",
"customOutputSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
}
}Authorizations
Query Parameters
Response
200 - application/json
Action type (e.g. ConnectorOperation, RunJavascript). Determines which handler runs and which config schema is used for validation.
Available options:
list-data-records, find-data-record-by-id, match-data-record, create-data-record, find-or-create-data-record, update-data-record, delete-data-record, search-data-record, connector-operation, api-request-to-external-app, api-request-to-your-app, http-request, run-javascript, api-request Was this page helpful?